Skip to main content
GET
/
api
/
roles
/
{role_id}
Get Role Route
curl --request GET \
  --url https://api.example.com/api/roles/{role_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "is_builtin": true,
  "description": "<string>",
  "permissions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "verb": "<string>",
      "resource_glob": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.halite-app.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

role_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
name
string
required
is_builtin
boolean
required
description
string
required
permissions
PermissionOut · object[]
required